/*
  Author:  James Tam
  Version: February 16, 2004

  The parent class of all the monster opponents in the game.  Consequently
  the attributes and methods must be universal to all of them.

 */
class Monster
{
    private int protection;
    private int damageReceivable;
    private int damageInflictable;
    private int speed;
    private String name;

    public Monster ()
    {
	protection = 0;
	damageReceivable = 1;
	damageInflictable = 1;
	speed = 1;
	name = "Monster name: ";
    }
    
    public int getProtection () {return protection;}
    public void setProtection (int newValue) {protection = newValue;}
    public int getDamageReceivable () {return damageReceivable;}
    public void setDamageReceivable (int newValue) {damageReceivable = newValue;}
    public int getDamageInflictable () {return damageInflictable;}
    public void setDamageInflictable (int newValue) {damageInflictable = newValue;}
    public int getSpeed () {return speed;}
    public void setSpeed (int newValue) {speed = newValue;}
    public String getName () {return name; }
    public void setName (String newValue) {name = newValue;}

    public void displaySpecialAbility ()
    {
	System.out.println("No special ability");
    }

    public String toString ()
    {
	String s = new String ();
	s = s + "Protection: " + protection + "\n";
	s = s + "Damage receivable: " + damageReceivable + "\n";
	s = s + "Damage inflictable: " + damageInflictable + "\n";
	s = s + "Speed: " + speed + "\n";
	s = s + "Name: " + name + "\n";	
	return s;
    }
}
